Bug 124257 - Package subversion needs libswigpy.so, this is not available.
Package subversion needs libswigpy.so, this is not available.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
: 124750 126346 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 01:16 EDT by Bob Gustafson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.0.4-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-28 18:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2004-05-25 01:16:16 EDT
Description of problem:

  yum update fails because libswigpy.so not available

Version-Release number of selected component (if applicable):

  See below.

How reproducible:

  For the last few hours anyway.

Steps to Reproduce:
1. see transcript below
2.
3.
  
Actual results:

[root@hoho2 root]# date
Tue May 25 00:09:05 CDT 2004

[root@hoho2 root]# yum --exclude=ppp --exclude=subversion update \*
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
No Packages Available for Update
No actions to take

[root@hoho2 root]# yum --exclude=ppp update \*
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
....Unable to satisfy dependencies
Package subversion needs libswigpy.so, this is not available.
[root@hoho2 root]#


Expected results:

  yum update \*    should complete

Additional info:
Comment 1 Bob Gustafson 2004-05-27 22:32:07 EDT
This is pretty odd. the subversion update process is saying that
libswigpy.so is not available.

However, it is certainly on the disk in a reasonable place..

[root@hoho2 root]# yum update \*
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
....Unable to satisfy dependencies
Package subversion needs libswigpy.so, this is not available.

[root@hoho2 root]# yum install swig
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
swig is installed and is the latest version.
No actions to take

[root@hoho2 root]# find / -name libswigpy\* -print
/usr/lib/libswigpy.so.0
/usr/lib/libswigpy.so.0.0.0
/usr/lib/libswigpy.la
/usr/lib/libswigpy.so
[root@hoho2 root]# date
Thu May 27 21:24:53 CDT 2004
[root@hoho2 root]#

[root@hoho2 user1]# ls -l /usr/lib/libswigpy.so
lrwxrwxrwx  1 root root 18 May 23 22:49 /usr/lib/libswigpy.so ->
libswigpy.so.0.0.0
[root@hoho2 user1]#
Comment 2 Joe Orton 2004-05-28 02:23:59 EDT
Oh, subversion does need rebuilding for the new swig package, which
provides:

libswigpy.so.0

whereas subversion requires libswigpy.so.  I removed the 1.0.3-1
package to let the FC2 1.0.4 update get through to Raw Hide.
Comment 3 Bob Gustafson 2004-05-28 10:46:40 EDT
Could you elaborate a bit more on the process


[root@hoho2 root]# rpm -q subversion
subversion-1.0.3-1

[root@hoho2 root]# rpm -e subversion

[root@hoho2 root]# yum install subversion
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
....Unable to satisfy dependencies
Package subversion needs libswigpy.so, this is not available.

[root@hoho2 root]# rpm -q subversion
package subversion is not installed
[root@hoho2 root]#
Comment 4 Bob Gustafson 2004-05-28 10:58:34 EDT
I even tried 'remove' :-)

[root@hoho2 root]# yum remove subversion
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Erase: No matches for subversion
No actions to take

[root@hoho2 root]# yum install subversion
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
....Unable to satisfy dependencies
Package subversion needs libswigpy.so, this is not available.
[root@hoho2 root]#

Comment 5 Bob Gustafson 2004-05-28 11:45:54 EDT
More info

[root@hoho2 root]# yum remove subversion
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Erase: No matches for subversion
No actions to take

[root@hoho2 root]# yum remove subversion\*
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora Core 2 - Development Tree
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Erase: No matches for subversion*
No actions to take

[root@hoho2 root]# rpm -q subversion
package subversion is not installed

[root@hoho2 root]# find /var/cache/yum -name subv\* -print
/var/cache/yum/development/packages/subversion-1.0.3-1.i386.rpm
/var/cache/yum/development/headers/subversion-perl-0-1.0.4-1.i386.hdr
/var/cache/yum/development/headers/subversion-debuginfo-0-1.0.2-2.1.i386.hdr
/var/cache/yum/development/headers/subversion-0-1.0.3-1.i386.hdr
/var/cache/yum/development/headers/subversion-debuginfo-0-1.0.3-1.i386.hdr
/var/cache/yum/development/headers/subversion-devel-0-1.0.4-1.i386.hdr
/var/cache/yum/development/headers/subversion-devel-0-1.0.3-1.i386.hdr
/var/cache/yum/development/headers/subversion-0-1.0.4-1.i386.hdr
/var/cache/yum/development/headers/subversion-debuginfo-0-1.0.4-1.i386.hdr
/var/cache/yum/development/headers/subversion-perl-0-1.0.3-1.i386.hdr
/var/cache/yum/updates-released/packages/subversion-1.0.2-2.1.i386.rpm
/var/cache/yum/updates-released/headers/subversion-perl-0-1.0.2-2.1.i386.hdr
/var/cache/yum/updates-released/headers/subversion-devel-0-1.0.2-2.1.i386.hdr
/var/cache/yum/updates-released/headers/subversion-perl-0-1.0.4-1.i386.hdr
/var/cache/yum/updates-released/headers/subversion-devel-0-1.0.4-1.i386.hdr
/var/cache/yum/updates-released/headers/subversion-0-1.0.4-1.i386.hdr
/var/cache/yum/updates-released/headers/subversion-0-1.0.2-2.1.i386.hdr
/var/cache/yum/updates-testing/headers/subversion-perl-0-1.0.4-1.i386.hdr
/var/cache/yum/updates-testing/headers/subversion-devel-0-1.0.4-1.i386.hdr
/var/cache/yum/updates-testing/headers/subversion-0-1.0.4-1.i386.hdr
[root@hoho2 root]#


Comment 6 Joe Orton 2004-05-28 11:57:52 EDT
Shtop, shtop - this package isn't ready yet!

The 1.0.4-1 package currently in Raw Hide won't install with the Raw
Hide swig package.  I'll rebuild 1.0.4 in Raw Hide so it works.  If
you can't wait for that, you can rebuild the source RPM yourself.
Comment 7 Joe Orton 2004-05-28 18:00:41 EDT
1.0.4-1.1 is built in Raw Hide against the new swig.
Comment 8 Joe Orton 2004-05-29 04:24:41 EDT
*** Bug 124750 has been marked as a duplicate of this bug. ***
Comment 9 Guy Streeter 2004-06-18 10:00:25 EDT
The package i nupdates-released has a higher version number than the
one in rawhide, and the updates-released package still has this problem.
Comment 10 Joe Orton 2004-06-19 19:18:53 EDT
*** Bug 126346 has been marked as a duplicate of this bug. ***
Comment 11 Joe Orton 2004-06-19 19:19:39 EDT
There's a -1.0.5-2 package in Raw Hide now (or soon) so it's fixed again.

Note You need to log in before you can comment on or make changes to this bug.